ID: bacrcr001resp
_schema-version: 3.2.0
version: 0.0.1
parameters:
  enable-parallel-deployments: true
modules:
  - name: bacrcr001resp
    type: nodejs
    path: approuter
    parameters:
      disk-quota: 512M
      memory: 512M
    requires:
      - name: dms4100-uaa
      - name: conn_dms4100
      - name: dest_dms4100      
      - name: dms4100-bacrcr001-api
        group: destinations
        properties:
          forwardAuthToken: true
          name: BACRCR001_SRV_API
          url: "https://corporacionzapatacf1-scpcfdev-dms4100-bacrcr001-srv.cfapps.us10.hana.ondemand.com"
      - name: dms4100-bacrcr002-api
        group: destinations
        properties:
          forwardAuthToken: true
          name: BACRCR002_SRV_API
          url: "https://corporacionzapatacf1-scpcfdev-dms4100-bacrcr002-srv.cfapps.us10.hana.ondemand.com"
      - name: dms4100-bacrcr003-api
        group: destinations
        properties:
          forwardAuthToken: true
          name: BACRCR003_SRV_API
          url: "https://corporacionzapatacf1-scpcfdev-dms4100-bacrcr003-srv.cfapps.us10.hana.ondemand.com"
    build-parameters:
      builder: custom
      commands:
        - npm install
        - npm run build:ui --prefix ..
resources:
  - name: dms4100-uaa
    type: org.cloudfoundry.managed-service
    parameters:
      service-plan: application
      service: xsuaa
  - name: dest_dms4100
    parameters:
      service-plan: lite
      service: destination
    type: org.cloudfoundry.managed-service
  - name: conn_dms4100
    parameters:
      service-plan: lite
      service: connectivity
    type: org.cloudfoundry.managed-service  
  - name: dms4100-bacrcr001-api
    type: configuration
    parameters:
      provider-nid: mta
      provider-id: dms4100-bacrcr001:dms4100-bacrcr001-api
      version: ">=1.0.0"
      target:
        org: ${org} # Specifies the org of the provider MTA
        space: ${space} # Wildcard * searches in all spaces
  - name: dms4100-bacrcr002-api
    type: configuration
    parameters:
      provider-nid: mta
      provider-id: dms4100-bacrcr002:dms4100-bacrcr002-api
      version: ">=1.0.0"
      target:
        org: ${org} # Specifies the org of the provider MTA
        space: ${space} # Wildcard * searches in all spaces
  - name: dms4100-bacrcr003-api
    type: configuration
    parameters:
      provider-nid: mta
      provider-id: dms4100-bacrcr003:dms4100-bacrcr003-api
      version: ">=1.0.0"
      target:
        org: ${org} # Specifies the org of the provider MTA
        space: ${space} # Wildcard * searches in all spaces